package com.demo1.board.service;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.demo1.board.api.dto.BoardRequest;
import com.demo1.board.domain.Board;

public interface BoardService {
	
	
	void insertBulk(List<BoardRequest> list);
    List<Board> getBoards();
    Board getBoard(Long boardId);
    Board createBoard(BoardRequest request);
    Board updateBoard(Long boardId, BoardRequest request);
    Long deleteBoard(Long boardId);
	Page<Board> pageBoards(Pageable pageable);
}
